(****************************************************************)
(*     Fichier dessin_logo.ml                                   *)
(*     ----------------------                                   *)
(*     dependance : module logo_base                            *)
(*                  module logo_principal                       *)
(*                                                              *)
(****************************************************************)

#open "graphics";;
#open "logo_base";;
load_object "logo_base";;
#open "logo_principal";;
load_object "logo_principal";;


(*---------------------------------------------------------------
|  procedure dessin : string -> unit                             |
|                                                                |
|  semantique : realise un dessin a partir d'un fichier LOGO.    |
|                                                                |
|  arguments : nom : chaine du chemin d'acces au fichier LOGO.   | 
-----------------------------------------------------------------*)

let dessin nom =
  open_graph " 1200x700";
  clear_graph();
  let f = ouvre_fichier nom in
  execute_programme (lit_programme f) ;
  ferme_fichier f;
  let t = read_key () in
  close_graph ();;



 
